Skip to main content
GET
/
orgs
/
all
/
nodes
List All Nodes Across Orgs
curl --request GET \
  --url https://api.example.com/orgs/all/nodes
{
  "nodes": [
    {
      "id": "<string>",
      "title": "<string>",
      "description": "<string>",
      "org_id": "<string>",
      "public_id": "<string>",
      "created_by": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by_email": "<string>",
      "tags": {},
      "directories": [
        "<string>"
      ],
      "num_parents": 123,
      "num_children": 123,
      "num_descendants": 0,
      "num_ancestors": 0
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Headers

authorization
string | null

Query Parameters

limit
integer
default:50
offset
integer
default:0

Response

Successful Response

Response model for paginated node lists.

nodes
NodeResponse · object[]
required

List of nodes

total
integer
required

Total number of nodes

limit
integer
required

Items per page

offset
integer
required

Current offset